import React, {useState} from "react";
import { View, Text, SafeAreaView, StyleSheet } from 'react-native';
import Form from './components/Form';
import CardList from './components/cardList';

export default function App(){

  const [profiles, setProfiles] = useState([]);

    const addNewProfile = (profileData) => {
        setProfiles((profiles) => [profileData, ...profiles])
    };

    return (
      <View>
      <Form onSubmit={addNewProfile} />
      <CardList profiles={profiles} />
      </View>
    );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    backgroundColor: '#ecf0f1',
    padding: 8,
  },
  paragraph: {
    margin: 24,
    fontSize: 18,
    fontWeight: 'bold',
    textAlign: 'center',
  },
});
